%define upstream_name    Devel-CheckLib
%define upstream_version 0.98

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Check that a library is available
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.160.0
BuildRequires: perl(IO::CaptureOutput) >= 1.80.100
BuildRequires: perl(Test::More) >= 0.620.0
BuildArch:  noarch

%description
Devel::CheckLib is a perl module that checks whether a particular C library
and its headers are available.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES META.json META.yml MYMETA.yml README TODO
%{_bindir}/use-devel-checklib
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.980.0-2.mga3
+ Revision: 365688
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.980.0-1.mga3
+ Revision: 254851
- update to 0.98

* Mon Mar 05 2012 jquelin <jquelin> 0.970.0-1.mga2
+ Revision: 218702
- update to 0.97

* Thu Feb 23 2012 jquelin <jquelin> 0.960.0-1.mga2
+ Revision: 212747
- update to 0.96

* Sat Nov 05 2011 kharec <kharec> 0.950.0-1.mga2
+ Revision: 163756
- update to 0.95

* Fri Oct 14 2011 jquelin <jquelin> 0.940.0-1.mga2
+ Revision: 154843
- fix %%files error
- update to 0.94

* Tue Apr 12 2011 jquelin <jquelin> 0.930.0-1.mga1
+ Revision: 83743
- update to 0.93

* Fri Jan 21 2011 jquelin <jquelin> 0.920.0-1.mga1
+ Revision: 28565
- fix %%files
- mageia rebuild
- imported package perl-Devel-CheckLib

